MetaTypeService
Date: 2016-06-25

org.osgi.service.metatype

## Interface MetaTypeService

-     @ProviderType
      public interface MetaTypeService

  The MetaType Service can be used to obtain meta type information for a bundle. The MetaType Service will examine the specified bundle for meta type documents to create the returned `MetaTypeInformation` object.

  If the specified bundle does not contain any meta type documents, then a `MetaTypeInformation` object will be returned that wrappers any `ManagedService` or `ManagedServiceFactory` services registered by the specified bundle that implement `MetaTypeProvider`. Thus the MetaType Service can be used to retrieve meta type information for bundles which contain a meta type documents or which provide their own `MetaTypeProvider` objects.

  Since:
    1.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `METATYPE_CAPABILITY_NAME` Capability name for meta type document processors.
    `static java.lang.String` | `METATYPE_DOCUMENTS_LOCATION` Location of meta type documents.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetaTypeInformation` | `getMetaTypeInformation(org.osgi.framework.Bundle bundle)` Return the MetaType information for the specified bundle.

- - ### Field Detail

    - #### METATYPE_DOCUMENTS_LOCATION

          static final java.lang.String METATYPE_DOCUMENTS_LOCATION

      Location of meta type documents. The MetaType Service will process each entry in the meta type documents directory.
      See Also:
        Constant Field Values

    - #### METATYPE_CAPABILITY_NAME

          static final java.lang.String METATYPE_CAPABILITY_NAME

      Capability name for meta type document processors.

      Used in `Provide-Capability` and `Require-Capability` manifest headers with the `osgi.extender` namespace. For example:

           Require-Capability: osgi.extender;
            filter:="(&(osgi.extender=osgi.metatype)(version>=1.3)(!(version>=2.0)))"

      Since:
        1.3
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMetaTypeInformation

          MetaTypeInformation getMetaTypeInformation(org.osgi.framework.Bundle bundle)

      Return the MetaType information for the specified bundle.
      Parameters:
        `bundle` - The bundle for which meta type information is requested.
      Returns:
        A MetaTypeInformation object for the specified bundle.